/** U=SUBIENDO LA FOTO DEL USUARIO */

$(".nuevaFoto").change(function(){

    var imagen = this.files[0];
    
    /** VALIDAMOS EL FORMATO DE LA IMAGEN SEA JPG O PNG */
    if(imagen["type"] != "image/jpeg" && imagen["type"] != "image/png"){

        $(".nuevaFoto").val("");
        swal({

            type: "error",
            title: "!Error al subir la imagen",
            text: "!la imagen debe estar en formato JPG o PNG",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"

            

        });
        
    }else if(imagen["size"] > 2000000){
        $(".nuevaFoto").val("");

        swal({

            type: "error",
            title: "!Error al subir la imagen",
            text: "!la imagen no debe pesar mas de 2MB!",
            showConfirmButton: true,
            confirmButtonText: "Cerrar"

        });
    }else {

        var datosImagen = new FileReader;
        datosImagen.readAsDataURL(imagen);

        $(datosImagen).on("load", function(event){
            var rutaImagen = event.target.result;

            $(".previsualizar").attr("src", rutaImagen);
        })
    }
})

/*=============================================
EDITAR SUCURSAL 
=============================================*/
$(document).on("click", ".btnEditarSucursal", function(){

	var idSucursal = $(this).attr("idSucursal");
	
	var datos = new FormData();
	datos.append("idSucursal", idSucursal);

	$.ajax({

		url:"ajax/general.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
			
			$("#editarNombre").val(respuesta["razon_social"]);
			$("#editarDocumento").val(respuesta["num_documento"]);
			$("#editarTipoDocumento").html(respuesta["tipo_documento"]);
			$("#editarTipoDocumento").val(respuesta["tipo_documento"]);
            $("#editarDireccion").val(respuesta["direccion"]);
            $("#editarTelefono1").val(respuesta["telefono"]);
            $("#editarCorreo").val(respuesta["email"]);
            $("#editarRepresentante").val(respuesta["representate"]);
            $("#idSucursal").val(respuesta["id"]);
			$("#fotoActual").val(respuesta["logo"]);

			if(respuesta["logo"] != ""){

				$(".previsualizar").attr("src", respuesta["logo"]);

			}

		}

	});

})

/*=============================================
ELIMINAR COMPROBANTE
=============================================*/
$(document).on("click", ".btnEliminarSucursal", function(){

	var idSucursal = $(this).attr("idSucursal");
	var fotoSucursal = $(this).attr("fotoSucursal");
	var representante = $(this).attr("representante");
  
	swal({
	  title: '¿Está seguro de borrar la Sucursal?',
	  text: "¡Si no lo está puede cancelar la accíón!",
	  type: 'warning',
	  showCancelButton: true,
	  confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: 'Cancelar',
		confirmButtonText: 'Si, borrar Sucursal!'
	}).then(function(result){
  
	  if(result.value){
  
		window.location = "index.php?ruta=general&idSucursal="+idSucursal+"&representante="+representante+"&fotoSucursal="+fotoSucursal;
  
	  }
  
	})
  
  })

  $("#nuevoTipoDocumento").change(function(){

	var documento = $(this).val();

	console.log( documento);

	if(documento == "" ){

		$(this).parent().parent().parent().removeClass('col-xs-6');
		$(this).parent().parent().parent().parent().children('.documento').html(

			'<div class="col-md-12" >'+
					   
			   '<div class="input-group">'+
					
				 '<input type="hidden" class="form-control"  required>'+
				 
			   '</div>'+

			 '</div>')

	}else if (documento == "RUC"){

		$(this).parent().parent().parent().addClass('col-xs-6');
		$(this).parent().parent().parent().parent().children('.documento').html(
		
				'<div class="form-group" >'+
					'<label>RUC:</label>'+
							
					'<div class="input-group">'+

						'<div class="input-group mb-3">'+
						
							'<div class="input-group-append"><div class="input-group-text"><span class="fas fa-file-alt"></span></div></div>'+
						
							'<input type="text" class="form-control input-lg" name="nuevoDocumento" id="nuevoDocumento" maxlength="11"  minlength="11" placeholder="Ingresar Numero Documento" pattern="[0-9]+" required>'+
						
						'</div>'+
					'</div>'+
				'</div>')


	} else if (documento == "DNI") {

		$(this).parent().parent().parent().addClass('col-xs-6');
		$(this).parent().parent().parent().parent().children('.documento').html(
		
				'<div class="form-group" >'+
					'<label>DNI:</label>'+
							
					'<div class="input-group">'+

						'<div class="input-group mb-3">'+
						
							'<div class="input-group-append"><div class="input-group-text"><span class="fas fa-file-alt"></span></div></div>'+
						
							'<input type="text" class="form-control input-lg" name="nuevoDocumento" id="nuevoDocumento" maxlength="8"  minlength="8" placeholder="Ingresar Numero Documento" pattern="[0-9]+" required>'+
						
						'</div>'+
					'</div>'+
				'</div>')
	} else {

		$(this).parent().parent().parent().addClass('col-xs-6');
		$(this).parent().parent().parent().parent().children('.documento').html(
		
				'<div class="form-group" >'+
					'<label>CEDULA:</label>'+
							
					'<div class="input-group">'+

						'<div class="input-group mb-3">'+
						
							'<div class="input-group-append"><div class="input-group-text"><span class="fas fa-file-alt"></span></div></div>'+
						
							'<input type="text" class="form-control input-lg" name="nuevoDocumento" id="nuevoDocumento" maxlength="8"  minlength="8" placeholder="Ingresar Numero Documento" pattern="[0-9]+" required>'+
						
						'</div>'+
					'</div>'+
				'</div>')
	}

})
